Announcement

Collapse
No announcement yet.

Error log

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error log

    Hi

    I upgraded yesterday from 4.2.2 to 4.2.3 to rectify the issues with the later versions of PHP on my server... All seems to have gone well and the issue I had with a large error log which I have now fixed seems to be OK...

    I have had an error last night ....

    [14-Apr-2017 20:52:29 UTC] PHP Warning: trim() expects parameter 1 to be string, array given in /home/xxxxxxxxx/public_html/forum/private.php(1309) : eval()'d code on line 19

    Any idea what caused this and how do I fix the issue if I have one? as I say it happened twice around the same time

    Stuart

  • #2
    Have another error now....

    [15-Apr-2017 11:53:48 UTC] PHP Strict Standards: Declaration of vB_DataManager_ThreadRate_Multiple::fetch_query() should be compatible with vB_DataManager_Multiple::fetch_query($condition = '', $limit = 0, $offset = 0) in /home/xxxxxx/public_html/forum/includes/class_dm_threadrate.php on line 0

    Comment


    • #3
      What version of php are you running?
      MARK.B | vBULLETIN SUPPORT

      TalkNewsUK - My vBulletin 5.5.4 Demo
      AdminAmmo - My Cloud Demo

      Comment


      • #4
        Hi Mark

        PHP... 5.5.38
        MySQL 5.6.35-log

        Stu

        Comment


        • #5
          Second error : http://tracker.vbulletin.com/browse/VBIV-16184

          The first error is not a core vbulletin issue, its from a plugin, one using the "private_insertpm_process" hook.
          Baby, I was born this way

          Comment


          • #6
            So I presume I need to upgrade to 4.2.4 to rectify that issue? or do I make the file change as shown in the "includes" folder and edit class_dm_threadrate.php



            Could the first issue be to do with Photopost Pro? when I upgraded I had a massive error file so I disabled Photopost and that stopped although I am getting smaller errors even after renaming a PHP file in Photopost... I am going to change galleries
            Last edited by stuarttunstall; Sat 15th Apr '17, 11:00am.

            Comment


            • #7
              Ideally upgrade, since it has many other fixes as well - the edit will fix that specific issue only.

              I cannot tell you what product or plugin is causing your issue, have a look at what runs on that hook in your ACP.
              Baby, I was born this way

              Comment


              • #8
                I will do the file fix for now, I need to sort a new custom scheme to move further as my current one only supports 4.2.3 and they no longer support it

                How can i find which hook is causing that issue in admincp? sorry bit of an idiot with these things Lol

                Comment


                • #9
                  Think I may have found it in "plugins" again another unsupported product."Permission based on post count"..really need to move on with this Lol ... Do you agree?

                  Click image for larger version

Name:	Capture.JPG
Views:	16
Size:	52.6 KB
ID:	4368386

                  Comment


                  • #10
                    Any style that works on 4.2.3 should work fine on 4.2.4 & 4.2.5.
                    There are virtually no template chages across them (and where there was, is very minor).


                    Edit: Yes that product is a possible candidate.
                    Baby, I was born this way

                    Comment


                    • #11
                      I will update the test site to 4.2.4 and see what happens, then to 4.2.5 if all OK Thanks for all your help, I have made the file change for now, and will see what the other issue does, only seen that error once...

                      Photopost created a 3GB error file in a couple of hours never even give that a though and as it is no longer developed or supported I had to disable it but still got minor errors so renamed the main Photopost PHP file to .bak and that seem to stopped them...

                      Looking to change gallery now

                      Comment


                      • #12
                        Just checked today and NO error logs relating to vB or the permission based on user count have been created...

                        Photopost is still creating a small error file but I am sorting that now, move to a new one which will hopefully import the gallery so I can remove the old one

                        Thanks for the advice.... really need to think about moving to v5 now.....

                        Comment


                        • #13
                          Originally posted by stuarttunstall View Post
                          Thanks for the advice.... really need to think about moving to v5 now.....
                          Dont.

                          (Unless you want to lose all your custom products, style(s) and other bits - none will work on vB5).

                          Baby, I was born this way

                          Comment


                          • #14
                            That is one major issue Lol ....

                            Any idea what causes these errors on my test site? I know one is to do with the new gallery I am testing...

                            1. PHP Warning: imagedestroy() expects parameter 1 to be resource, null given in /home/xxxxx/public_html/testvb/forum/dbtech/gallery/includes/class_core.php on line 2227

                            2. PHP Warning: trim() expects parameter 1 to be string, array given in /home/xxxxx/public_html/testvb/forum/includes/adminfunctions_options.php on line 1032

                            Comment


                            • #15
                              Modifications at a guess, the first one appears to be dbtech gallery.
                              Baby, I was born this way

                              Comment

                              Related Topics

                              Collapse

                              • caimakale
                                Server Error Log Item
                                by caimakale
                                I checked an error log on my server and it is filled with this error.

                                PHP Notice: Only variables should be passed by reference in /home/sitename/public_html/includes/vb5/frontend/applicationlight.php...
                                Wed 6th Jul '16, 1:09am
                              • aelalfey
                                Http error 500
                                by aelalfey
                                Hi,

                                I just updated my php version from 5.4.28 to php 5.6 and updated my apache from 2.2 to 2.4 and after that i tried to open my vbulletin v 5.1.10 and got this error "HTTP ERROR 500"....
                                Mon 19th Jun '17, 6:53pm
                              • JDekkers
                                Update to 5.2.3 http500 issues
                                by JDekkers
                                Dear Sirs,

                                After update to 5.2.3 users cant login using IE11 or Edge. Chrome works fine. They receive an HTTP500 error or the login screen acts weird, by not being able to click the login...
                                Fri 12th Aug '16, 12:11am
                              Working...
                              X